This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 832451 - Floating IPs when instance terminated are not released.
Floating IPs when instance terminated are not released.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openstack-nova (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mark McLoughlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 08:34 EDT by David Busby
Modified: 2013-07-31 23:32 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:32:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 997763 None None None 2012-06-15 09:10:03 EDT

  None (edit)
Description David Busby 2012-06-15 08:34:32 EDT
Using the f16-jeos as a test from the wiki document;

When the following is done via the dashboard:

1. Launch instance
2. Assign floating ip
3. Terminate instance

The floating ip is not released; and nova-network notes error of ip assigned to non existent instance.

This also has knock on affects trying to launch another instance via the dashboard will fail with either a 500 error, or a "quota exceeded error".
Comment 1 Russell Bryant 2012-06-15 09:10:02 EDT
I believe this was recently fixed in master.  It needs to be backported to essex.

    https://bugs.launchpad.net/nova/+bug/997763
Comment 2 Russell Bryant 2012-06-15 09:13:02 EDT
Can you confirm if you are using quantum or not?  The bug I linked to was specific to quantum.
Comment 3 David Busby 2012-06-15 09:55:00 EDT
I do not believe so the default roll out notes: 

network_manager = nova.network.manager.FlatDHCPManager


Wiki implies to use quantum this should be:


betwork_manager = nova.network.manager.QuantumManager
Comment 4 Fedora End Of Life 2013-07-03 20:08:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 23:32:58 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.